Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QProcess.ProcessChannel

    java.lang.Object
      java.lang.Enum<QProcess.ProcessChannel>
          com.trolltech.qt.core.QProcess.ProcessChannel

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QProcess.ProcessChannel>

Enclosing class:
  QProcess

    public static enum QProcess.ProcessChannel

extends java.lang.Enum<QProcess.ProcessChannel>
implements QtEnumerator

This enum describes the process channels used by the running process. Pass one of these values to `setReadChannel` to set the current read channel of `QProcess`.

See Also:
  `setReadChannel`

Enum Constant Summary
`StandardError` The standard error (stderr) of the running process.
`StandardOutput` The standard output (stdout) of the running process.

Method Summary
`static QProcess.ProcessChannel` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QProcess.ProcessChannel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QProcess.ProcessChannel[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### StandardOutput

    public static final QProcess.ProcessChannel StandardOutput

  The standard output (stdout) of the running process.

### StandardError

    public static final QProcess.ProcessChannel StandardError

  The standard error (stderr) of the running process.

Method Detail

### values

    public static final QProcess.ProcessChannel[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QProcess.ProcessChannel c : QProcess.ProcessChannel.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QProcess.ProcessChannel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QProcess.ProcessChannel resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD